4 Must Have Plugins For WordPress

male and female plugs with text overtop - Must Haves!

AntiVirus – this plugin is made to protect your WordPress site against exploits, malware, and spam injections. Requires PHP 5.1 and WordPress 2.8 or newer.

Broken Link Checker – this plugin will monitor your blog looking for broken links and let you know if any are found, by notifying you either via the Dashboard or by email. Requires PHP 5.1 and WordPress 3.2 or higher.

How-to install notes here: http://www.makeuseof.com/tag/automatically-find-broken-links-wordpress-site/

Google XML Sitemaps – a very useful plugin that generates a special XML sitemap to help search engines better index your website.

All in One SEO Pack – this plugin helps you to optimize your WordPress website for search engines (Search Engine Optimization).

Credit for Header: image by Florian Huber – Plug-in icon from The Noun project 2012

[Total: 1   Average: 5/5]

Click Here to Leave a Comment Below

Leave a Reply: